import 'package:driverapp/widgets/buttons/secondary_button.dart';
import 'package:driverapp/widgets/delivery/customer_brief_card.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../../uitl/translations_delegate_base.dart';
import '../../widgets/others/app_scaffold_widget.dart';

class DeliveryConfirmedPage extends StatelessWidget {
  final dynamic item;

  DeliveryConfirmedPage(this.item);

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      body: SafeArea(
        child: Container(
          color: Theme.of(context).primaryColor,
          child: ListView(
            children: <Widget>[
              Column(
                children: <Widget>[
                  Column(
                    children: <Widget>[
                      Container(
                        child: Container(
                          alignment: Alignment.topLeft,
                          child: IconButton(
                            color: Colors.white,
                            iconSize: 40,
                            icon: Icon(Icons.arrow_back),
                            onPressed: () {
                              Navigator.pop(context);
                            },
                          ),
                        ),
                      ),
                      Container(
                        child: Column(
                          children: <Widget>[
                            Container(
                              width: MediaQuery.of(context).size.width,
                              height: MediaQuery.of(context).size.width * 0.7,
                              padding: EdgeInsets.only(
                                top: MediaQuery.of(context).size.width *
                                    0.2,
                              ),
                              decoration: BoxDecoration(
                                  color: Colors.white10,
                                  shape: BoxShape.circle),
                              child: Column(
                                children: <Widget>[
                                  Icon(
                                    Icons.check_circle,
                                    color: Colors.white,
                                    size: 60,
                                  ),
                                  Text(
                                    TranslationBase.of(context).deliveryInfo,
                                    style: TextStyle(
                                        color: Colors.white,
                                        fontSize: 20,
                                        fontWeight: FontWeight.bold),
                                  ),
                                  Text(
                                    TranslationBase.of(context)
                                        .confirmationSent,
                                    style: TextStyle(
                                      color: Colors.white,
                                      fontSize: 13,
                                    ),
                                  ),
                                ],
                              ),
                            ),
                          ],
                        ),
                      ),
                    ],
                  ),
                  Stack(
                    children: <Widget>[
                      Container(
                        width: MediaQuery.of(context).size.width,
                        height: MediaQuery.of(context).size.width,
                      ),
                      Container(
                        width: MediaQuery.of(context).size.width,
                        //800,
                        height: MediaQuery.of(context).size.width * 1.2,
                        //440,
                        margin: EdgeInsets.only(top: 60),
                        decoration: BoxDecoration(
                          color: Colors.white,
                          borderRadius: BorderRadius.only(
                              topLeft: Radius.circular(80),
                              topRight: Radius.circular(80)),
                        ),
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.end,
                          crossAxisAlignment: CrossAxisAlignment.center,
                          children: <Widget>[
                            Container(
                              margin: EdgeInsets.only(
                                bottom: MediaQuery.of(context).size.width *
                                    0.15, //50
                              ),
                              child: Column(
                                children: <Widget>[
                                  FlatButton.icon(
                                    padding: EdgeInsets.all(8),
                                    color: Colors.orangeAccent,
                                    shape: RoundedRectangleBorder(
                                      borderRadius:
                                          new BorderRadius.circular(10.0),
                                    ),
                                    label: Text(
                                      TranslationBase.of(context).addNoteBtn,
                                      style: TextStyle(color: Colors.white),
                                    ),
                                    icon: Icon(
                                      Icons.mode_edit,
                                      color: Colors.white,
                                    ),
                                    onPressed: () {},
                                  ),
                                  SizedBox(
                                    height: MediaQuery.of(context).size.width *
                                        0.1, //20,
                                  ),
                                  Container(
                                    margin: EdgeInsets.all(10),
                                    child: SecondaryButton(
                                      label: TranslationBase.of(context)
                                          .nextDelivery,
                                      onTap: () {},
                                    ),
                                  ),
                                ],
                              ),
                            ),
                          ],
                        ),
                      ),
                      CustomerBriefCard(
                          itemId: item.patientID,
                          customerFirstName: item.firstName,
                          customerLastName: item.lastName,
                          mobileNo: item.mobileNumber,
                          totalPayment: item.amount,
                          deliveryTime: item.orderCreatedOn),
                    ],
                  ),
                ],
              ),
            ],
          ),
        ),
      ),
    );
  }
}
